Skip to content

List all labels

Request

OAuth 2.0 scope:
  • okta.governance.labels.read
Admin roles:
  • SUPER_ADMIN

Lists all labels

Query
filterstring, (scim-filter)(scim-filter)

A filter expression that returns entries based on the following properties and supported operators:

  • values.name: supports sw and co

Note: Query parameter percent encoding is required. See Special characters.

Examples:
Filter by label value name, starting with the provided prefix
filter=values.name sw "SOD"
Filter by label value name that contains the provided substring
filter=values.name co "SOD"
GET
/governance/api/v1/labels
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/labels?filter=values.name%20sw%20%22SOD%22'

Responses

A list of labels

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(label)required

All labels on the current page

Response
{ "data": [ {}, {} ], "_links": { "self": {} } }